| Home | Libraries | People | FAQ | More

## Global lower

boost::xpressive::lower — Matches a lower-case character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified lower;

## Description

The regex traits are used to determine which characters are lower-case. To match any character that is not a lower-case character, use ~lower.

| Note
lower is equivalent to /[[:lower:]]/ in perl. ~lower is equivalent to /[[:^lower:]]/ in perl.